# frozen_string_literal: true

module Hermes
  # Picture serializer
  class PictureSerializer < ActiveModel::Serializer
    attributes [
      :thumb240,
      :thumb1000,
      :full_size,
      :housing_offer_id
    ]
    SIZES = %i[thumb240 thumb1000 full_size]

    type 'pictures'

    SIZES.each do |size|
      attributes size.to_sym
      attributes "#{size}_absolute".to_sym
    end

    attributes :housing_offer_id

    def housing_offer_id
      object.housing_offer&.id.to_s
    end
  end
end