# frozen_string_literal: true

module Hermes
  module BoClient
    class CancelRequestTask < BaseTask
      
      def initialize(options = {})
        @xsd = 'radierDemande.xsd'
        super(options)
      end
      
      endpoint {'/ws/rest/als/demande/v1/radierDemande'}
      
      task_name 'updatestatus'
      type_flux 'BIEN'
      mapping 'Hermes::BoClient::Mappings::HousingRequestMap'
      
      params *%i[
        numUnique
        refInterne
      ]
      
      def to_xml
        namespaces = {
            'xmlns:ns2' => 'http://v1.als.ikos.webservice.immobilier.sopra/demande/radierDemande'
        }
        builder = Nokogiri::XML::Builder.new(encoding: 'UTF-8') do |b|
          b[:ns2].radierDemande(namespaces) do
            b.numUnique mapping.numUnique do
              b.parent.namespace = nil
            end
            b.refInterne mapping.refInterne do
              b.parent.namespace = nil
            end
          end
         
        end
        builder.to_xml
      end
    end
  end
end
