# frozen_string_literal: true

module Hermes
  module Tools
    # handle main_user_id for controllers
    module MainUserId
      def main_user_id_param
        if current_user_roles.include?('demandeur')
          @user.id.to_s if params[:data][:attributes][:main_applicant_id]
        elsif current_user_roles.any? { |role| %w[Administrator entreprise].include?(role) }
          params[:data][:attributes][:main_user_id]
        end
      end
    end
  end
end

include Hermes::Tools::MainUserId
